%global appname YACReader

Name:           yacreader
Version:        9.15.0
Release:        %mkrel 2
Summary:        Cross platform comic reader and library manager
Group:          Graphics/Viewers
# The entire source code is GPLv3+ except:
# BSD:          QsLog
#               folder_model
# MIT:          pictureflow
License:        GPLv3+ and BSD and MIT
URL:            https://www.yacreader.com
Source0:        https://github.com/YACReader/%{name}/releases/download/%{version}/%{name}-%{version}-src.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libsystemd)

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

# For YACReaderLibrary QR Code display
BuildRequires:  pkgconfig(libqrencode)

BuildRequires:  pkgconfig(libunarr)
BuildRequires:  pkgconfig(poppler-qt6)

Requires:       qt6-qtsvg

%description
Best comic reader and comic manager with support for .cbr .cbz .zip .rar comic
files.


%prep
%autosetup

# wrong-file-end-of-line-encoding fix
sed -i 's/\r$//' INSTALL.md
# file-not-utf8 fix
iconv -f iso8859-1 -t utf-8 README.md > README.md.conv && mv -f README.md.conv README.md

%build
# Translations
%{_qt6_bindir}/lrelease %{appname}/%{appname}.pro
%{_qt6_bindir}/lrelease %{appname}Library/%{appname}Library.pro

%qmake_qt6
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Translations
mkdir -p %{buildroot}%{_datadir}/%{name}/languages
find . -name \*.qm -exec cp {} %{buildroot}%{_datadir}/%{name}/languages/ \;
%find_lang %{name} --with-qt
%find_lang %{name}library --with-qt

%files -f %{name}.lang -f %{name}library.lang
%license COPYING.txt
%doc CHANGELOG.md README.md INSTALL.md
%{_bindir}/%{appname}
%{_bindir}/%{appname}Library
%{_bindir}/%{appname}LibraryServer
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/server/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.svg
%{_userunitdir}/*.service
%{_mandir}/man1/*.1*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 9.15.0-2.mga10
+ Revision: 2233489
- Mageia 10 Mass Rebuild

* Thu Jan 02 2025 daviddavid <daviddavid> 9.15.0-1.mga10
+ Revision: 2134926
- new version: 9.15.0

* Thu Feb 15 2024 daviddavid <daviddavid> 9.14.2-1.mga10
+ Revision: 2041525
- new version: 9.14.2

* Wed Feb 07 2024 daviddavid <daviddavid> 9.14.1-1.mga10
+ Revision: 2038401
- new version: 9.14.1

* Thu Nov 09 2023 daviddavid <daviddavid> 9.13.1-1.mga10
+ Revision: 2005261
- initial package yacreader

